org.apache.maven.shared.artifact.filter.collection

## Class ArtifactFilterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.shared.artifact.filter.collection.ArtifactFilterException

All Implemented Interfaces:
  Serializable

    public class ArtifactFilterException
    extends Exception

Author:
  Brian Fox
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ArtifactFilterException()`
`ArtifactFilterException(String theMessage)`
`ArtifactFilterException(String theMessage, Throwable theCause)`
`ArtifactFilterException(Throwable theCause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArtifactFilterException

    public ArtifactFilterException()

#### ArtifactFilterException

    public ArtifactFilterException(String theMessage,
                           Throwable theCause)

#### ArtifactFilterException

    public ArtifactFilterException(String theMessage)

#### ArtifactFilterException

    public ArtifactFilterException(Throwable theCause)